Bug 239199 - sysutils/py-pyznap update to 1.2.1
Summary: sysutils/py-pyznap update to 1.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-14 13:07 UTC by Dries Michiels
Modified: 2019-07-16 17:21 UTC (History)
0 users

See Also:


Attachments
pyznap.diff (2.15 KB, patch)
2019-07-14 13:07 UTC, Dries Michiels
no flags Details | Diff
svn diff (2.24 KB, patch)
2019-07-15 16:38 UTC, Dries Michiels
driesm.michiels: maintainer-approval+
Details | Diff
poudriere testport log (23.28 KB, text/plain)
2019-07-15 16:40 UTC, Dries Michiels
no flags Details
svn diff (2.19 KB, patch)
2019-07-15 17:13 UTC, Dries Michiels
driesm.michiels: maintainer-approval+
Details | Diff
svn diff (2.26 KB, patch)
2019-07-15 17:30 UTC, Dries Michiels
driesm.michiels: maintainer-approval+
Details | Diff
poudriere testport log (22.28 KB, text/plain)
2019-07-15 17:31 UTC, Dries Michiels
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels 2019-07-14 13:07:21 UTC
Created attachment 205761 [details]
pyznap.diff

Patch updates the port to latest release which fixes an issue related to FreeBSD: Send would fail on FreeBSD due to missing stream_size.
Comment 1 Dries Michiels 2019-07-15 16:38:09 UTC
I just noticed upstream released two more releases, so update to latest release with this patch. In attachments a revised patch and poudriere testport which looks fine on head.

Changenotes:
[1.2.1] - 2019-07-15
Fixed
Removed configparser dependency. (the build-in python version 3.6 has configparser included and since we don't build flavors lower than python 3.5 the dependency can be dropped)

[1.2.0] - 2019-07-14

Added
pyznap now uses compression for sending over ssh. Current supported methods are none, lzop (default), lz4, gzip, pigz, bzip2 and xz. There is a new config option (e.g. compress = none) and a new flag -c for pyznap send.
mbuffer is now also used on the dest when sending over ssh.

Changed
Rewrote how commands are executed over ssh: Implemented own SSH class, removed paramiko dependency.
General code cleanup.

[1.1.3] - 2019-07-14
Fixed
Send would fail on FreeBSD due to missing stream_size.
Comment 2 Dries Michiels 2019-07-15 16:38:25 UTC
Created attachment 205802 [details]
svn diff
Comment 3 Dries Michiels 2019-07-15 16:40:14 UTC
Created attachment 205803 [details]
poudriere testport log
Comment 4 Dries Michiels 2019-07-15 17:13:10 UTC
Created attachment 205804 [details]
svn diff
Comment 5 Dries Michiels 2019-07-15 17:30:27 UTC
Created attachment 205805 [details]
svn diff

A few things I missed in the previous patches. Sorry for the spam. This one should be a good one :).
Comment 6 Dries Michiels 2019-07-15 17:31:06 UTC
Created attachment 205806 [details]
poudriere testport log
Comment 7 commit-hook freebsd_committer 2019-07-16 17:21:39 UTC
A commit references this bug:

Author: swills
Date: Tue Jul 16 17:20:46 UTC 2019
New revision: 506768
URL: https://svnweb.freebsd.org/changeset/ports/506768

Log:
  sysutils/py-pyznap: update to 1.2.1

  PR:		239199
  Submitted by:	Dries Michiels <driesm.michiels@gmail.com> (maintainer)

Changes:
  head/sysutils/py-pyznap/Makefile
  head/sysutils/py-pyznap/distinfo
Comment 8 Steve Wills freebsd_committer 2019-07-16 17:21:55 UTC
Committed, thanks!